package main

import (
	"fmt"
	"github.com/ParadoxPixel/ThemePark-Websocket/command"
	"github.com/ParadoxPixel/ThemePark-Websocket/objects"
	"github.com/ParadoxPixel/ThemePark-Websocket/server"
)

func main() {
	config, err := objects.LoadConfiguration("config.json")
	if err != nil {
		fmt.Println(err)
		return
	}

	go server.Start("/", config.Address, config.Debug)

	command.ReadConsole()
}
